@font-face {
    font-family: btitrb;
    src: url('../fonts/B Titr Bold.ttf');
}

@font-face {
    font-family: vazir;
    src: url('../fonts/Vazir.ttf');
}

@font-face {
    font-family: davat;
    src: url('../fonts/B Davat.ttf');
}

@font-face {
    font-family: taha-r;
    src: url('../fonts/Bahij Uthman Taha-Regular.ttf');
}

@font-face {
    font-family: taha-b;
    src: url('../fonts/Bahij Uthman Taha-Bold.ttf');
}

@font-face {
    font-family: BNazanin;
    src: url('../fonts/B Nazanin.ttf');
}

@font-face {
    font-family: iransans;
    src: url('../fonts/IRANSans.ttf');
}

@font-face {
    font-family: bmitrab;
    src: url('../fonts/B Mitra Bold.ttf');
}

@font-face {
    font-family: bmitra;
    src: url('../fonts/B Mitra.ttf');
}

@font-face {
    font-family: times;
    src: url('../fonts/times.ttf');
}

.davat {
    font-family: davat;
}

.vazir {
    font-family: vazir;
}

.taha-r {
    font-family: taha-r;
}

.taha-b {
    font-family: taha-b;
}

.btitrb {
    font-family: btitrb;
}

.iransans {
    font-family: iransans;
}

.bmitrab {
    font-family: bmitrab;
}

.bmitra-n {
    font-family: bmitra;
    font-weight: 600;
}

.bmitra {
    font-family: bmitra;
}

.bnazanin {
    font-family: BNazanin;
}

.calibri {
    font-family: calibri;
}

.times {
    font-family: times;
}

.bold {
    font-weight: bold;
}

.dir-ltr {
    direction: ltr !important;
}

.dir-rtl {
    direction: rtl !important;
}

.text-justify {
    text-align: justify !important;
}

html {
    min-height: 100%;
    position: relative;
}
body {
    padding-top: 70px;
    padding-bottom: 30px;
    /* background: linear-gradient(to bottom right, #79bff8 0%, #0b78d1 100%); */
    margin-bottom: 60px;
}

.form-signin {
    max-width: 330px;
    padding: 1rem;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="text"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.text-underline {
    text-decoration: underline !important;
}

/* Sticky Footer */
footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 52px;
    color: #fff !important;
    background-color: #495057;
}

footer p {
    direction: ltr !important;
    font-family: calibri;
    margin: 16px 0;
}
/* End of Sticky Footer*/

/* Change Default Font in DatePicker */
.mds-bs-persian-datetime-picker-popover {
    font-family: vazir !important;
}

/* Bootstrap-Select */
div.filter-option-inner-inner {
    text-align: right !important;
}
a.disabled.active.selected span.bs-ok-default.check-mark {
    display: none !important;
}

.hide {
    display: none !important;
}

/* Select2 */
.select2 {
    width: 100% !important;
}

.select2-results {
    background: #f8f9fa !important;
}

.select2-selection {
    background: #f8f9fa !important;
}

.select2-container .select2-selection--single,
.select2-container--default .select2-selection--single .select2-selection__rendered,
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 36px;
    min-width: 60px;
}
/* End of Select2 */

.btn-xs {
    --bs-btn-padding-y: .25rem;
    --bs-btn-padding-x: .5rem;
    --bs-btn-font-size: .75rem;
}

.d-block {
    display: block !important;
}

.d-inline {
    display: inline-block !important;
}

.d-hide-inline,
.d-hide-block {
    display: none;
}

/* Print Queries */
@media print {

    .not_in_print, .alert {
        display: none !important;
    }

    .d-hide-inline {
        display: inline !important;
    }

    .d-hide-block {
        display: block !important;
    }

    .table-bordered {
        border: 1px solid #000;
    }

    ::-webkit-scrollbar,
    ::-webkit-scrollbar-track,
    ::-webkit-scrollbar-thumb {
        display: none !important;
    }
}

/* Scrollbar */
/* width */
::-webkit-scrollbar {
    width: 14px;
}
/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    background-color: rgba(66, 69, 73, 0.4);
}
/* Handle */
::-webkit-scrollbar-thumb {
    background: linear-gradient(to bottom right, rgb(66, 69, 73) 0%, #2a2e32 100%);
    transition: 1s;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #2a2e32;
}
/* End of Scrollbar */

